Debian Bug report logs - #504528
libghc6-configfile-dev: Fails to configure: MissingH-1.0.1 doesn't exist

version graph

Package: libghc6-configfile-dev; Maintainer for libghc6-configfile-dev is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for libghc6-configfile-dev is src:haskell-dummy.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Tue, 4 Nov 2008 20:12:01 UTC

Severity: serious

Tags: sid

Found in version haskell-configfile/1.0.4.2

Fixed in version haskell-configfile/1.0.4.3

Done: John Goerzen <jgoerzen@complete.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#504528; Package libghc6-configfile-dev. (Tue, 04 Nov 2008 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to John Goerzen <jgoerzen@complete.org>. (Tue, 04 Nov 2008 20:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: libghc6-configfile-dev: Fails to configure: MissingH-1.0.1 doesn't exist
Date: Tue, 4 Nov 2008 21:07:27 +0100
Package: libghc6-configfile-dev
Version: 1.0.4.2
Severity: serious

Hi,

Your package is failing to install with the following error:
Setting up libghc6-configfile-dev (1.0.4.2) ...
Reading package info from "/usr/lib/haskell-packages/ghc6/lib/ConfigFile-1.0.4/installed-pkg-config" ...  done.
ghc-pkg: dependency MissingH-1.0.1 doesn't exist (use --force to override)
dpkg: error processing libghc6-configfile-dev (--configure):
 subprocess post-installation script returned error exit status 1


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#504528; Package libghc6-configfile-dev. (Tue, 11 Nov 2008 20:54:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Potyra <Stefan.Potyra@informatik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Tue, 11 Nov 2008 20:54:11 GMT) Full text and rfc822 format available.

Message #10 received at 504528@bugs.debian.org (full text, mbox):

From: Stefan Potyra <Stefan.Potyra@informatik.uni-erlangen.de>
To: <504528@bugs.debian.org>
Subject: libghc6-configfile-dev: Fails to configure: MissingH-1.0.1 doesn't exist
Date: Tue, 11 Nov 2008 21:51:01 +0100
Hi,

simply rebuilding will make the maintainer scripts pickup the newer
missingh dependency, and hence will fix this bug.
However I haven't tested yet if haskell-configfile will still be
functional with the later missingh (though doubt it isn't).

Cheers,
    Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#504528; Package libghc6-configfile-dev. (Fri, 14 Nov 2008 19:03:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Potyra <sistpoty@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Fri, 14 Nov 2008 19:03:14 GMT) Full text and rfc822 format available.

Message #15 received at 504528@bugs.debian.org (full text, mbox):

From: Stefan Potyra <sistpoty@ubuntu.com>
To: debian-release@lists.debian.org
Cc: 504528@bugs.debian.org
Subject: please binNMU haskell-configfile for bug #504528
Date: Fri, 14 Nov 2008 20:01:44 +0100
Hi,

please binNMU haskell-configfile for RC bug #504528 (bug CC'd).

@John, any objections?

Thanks,
    Stefan.

P.S.: I'm not on the list, please CC me on replies.





Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#504528; Package libghc6-configfile-dev. (Tue, 18 Nov 2008 17:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Therning <magnus@therning.org>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Tue, 18 Nov 2008 17:21:13 GMT) Full text and rfc822 format available.

Message #20 received at 504528@bugs.debian.org (full text, mbox):

From: Magnus Therning <magnus@therning.org>
To: Debian Bug Tracking System <504528@bugs.debian.org>
Subject: libghc6-configfile-dev: Re-compilation probably fixes it
Date: Tue, 18 Nov 2008 17:19:11 +0000
Package: libghc6-configfile-dev
Version: 1.0.4.2
Followup-For: Bug #504528

I suppose a simple recompilation of the package would suffice to make
this bug go away.  Am I right in thinking that this is the result of a
mismatch in version requirements in the package and ghc?  (the package
says >=1.0.1 while ghc says ==1.0.1)

I remember bumping up against this previously.  If this is turning out
to be a common occurrence with ghc packages then it'd be nice to have
some way to resolve it that is faster than using reportbug and then
waiting for an update to arrive.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libghc6-configfile-dev depends on:
ii  ghc6                          6.8.2-7    GHC - the Glasgow Haskell Compilat
ii  libghc6-missingh-dev          1.0.2.1    Library of utility functions for H
ii  libghc6-mtl-dev               1.1.0.0-2  Haskell monad transformer library 

libghc6-configfile-dev recommends no packages.

Versions of packages libghc6-configfile-dev suggests:
pn  configfile-doc                <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#504528; Package libghc6-configfile-dev. (Tue, 18 Nov 2008 17:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Therning <magnus@therning.org>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Tue, 18 Nov 2008 17:33:02 GMT) Full text and rfc822 format available.

Message #25 received at 504528@bugs.debian.org (full text, mbox):

From: Magnus Therning <magnus@therning.org>
To: Debian Bug Tracking System <504528@bugs.debian.org>
Subject: Re: libghc6-configfile-dev: Re-compilation probably fixes it
Date: Tue, 18 Nov 2008 17:30:15 +0000
[Message part 1 (text/plain, inline)]
Yes, a recompilation seems to do the trick.  I've stuck a version in my
personal APT repo if anyone is interested:

http://therning.org/magnus/computer/apt-repo

/M

-- 
Magnus Therning                             (OpenPGP: 0xAB4DFBA4)
magnus@therning.org             Jabber: magnus@therning.org
http://therning.org/magnus

Haskell is an even 'redder' pill than Lisp or Scheme.
     -- PaulPotts

[signature.asc (application/pgp-signature, attachment)]

Reply sent to John Goerzen <jgoerzen@complete.org>:
You have taken responsibility. (Tue, 18 Nov 2008 19:54:09 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Tue, 18 Nov 2008 19:54:09 GMT) Full text and rfc822 format available.

Message #30 received at 504528-close@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: 504528-close@bugs.debian.org
Subject: Bug#504528: fixed in haskell-configfile 1.0.4.3
Date: Tue, 18 Nov 2008 19:47:05 +0000
Source: haskell-configfile
Source-Version: 1.0.4.3

We believe that the bug you reported is fixed in the latest version of
haskell-configfile, which is due to be installed in the Debian FTP archive:

configfile-doc_1.0.4.3_all.deb
  to pool/main/h/haskell-configfile/configfile-doc_1.0.4.3_all.deb
haskell-configfile_1.0.4.3.dsc
  to pool/main/h/haskell-configfile/haskell-configfile_1.0.4.3.dsc
haskell-configfile_1.0.4.3.tar.gz
  to pool/main/h/haskell-configfile/haskell-configfile_1.0.4.3.tar.gz
libghc6-configfile-dev_1.0.4.3_i386.deb
  to pool/main/h/haskell-configfile/libghc6-configfile-dev_1.0.4.3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504528@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
John Goerzen <jgoerzen@complete.org> (supplier of updated haskell-configfile package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 Nov 2008 03:33:12 -0600
Source: haskell-configfile
Binary: libghc6-configfile-dev configfile-doc
Architecture: source all i386
Version: 1.0.4.3
Distribution: unstable
Urgency: low
Maintainer: John Goerzen <jgoerzen@complete.org>
Changed-By: John Goerzen <jgoerzen@complete.org>
Description: 
 configfile-doc - Parser and writer for handling sectioned config files in Haskell,
 libghc6-configfile-dev - Parser and writer for handling sectioned config files in Haskell,
Closes: 504528
Changes: 
 haskell-configfile (1.0.4.3) unstable; urgency=low
 .
   * Rebuilt with newer MissingH.  Closes: #504528.
Checksums-Sha1: 
 7b84385695b31f2527a72f3b6423e18a13e5165b 1155 haskell-configfile_1.0.4.3.dsc
 27d8a1aeb0362092192d29129240edcc042d1a38 35651 haskell-configfile_1.0.4.3.tar.gz
 a264f3c8bf109daa4ebb6ea6f475115fa5bd3b12 25820 configfile-doc_1.0.4.3_all.deb
 1e3b68bf399bf52347144fa6b425e24d41c1808f 108186 libghc6-configfile-dev_1.0.4.3_i386.deb
Checksums-Sha256: 
 9497c86393f3afc4b30983c011961f76c05831af9ef1e1e2a962d8a32b154c7b 1155 haskell-configfile_1.0.4.3.dsc
 e1a64014b5c3a3efb7beede3c620e91c43e8eb3a7900b17397d79ad244fe3ad6 35651 haskell-configfile_1.0.4.3.tar.gz
 dc368c44adf54b101b87d909d47dac35262568d526bf02463d1f4e29e272ad7c 25820 configfile-doc_1.0.4.3_all.deb
 aefad32b9d834fc200191d995ecee4bd639884a7e9e1065f12db1cb17a1ac6b7 108186 libghc6-configfile-dev_1.0.4.3_i386.deb
Files: 
 6f6fc9281e1b2f24789583c2a9a03037 1155 devel optional haskell-configfile_1.0.4.3.dsc
 869f5e728c0e269fceac964ed6bce7eb 35651 devel optional haskell-configfile_1.0.4.3.tar.gz
 003fa636d98d2df62b9e1b6776abb7ee 25820 doc optional configfile-doc_1.0.4.3_all.deb
 d18067e81737dd64276fe23764db8529 108186 devel optional libghc6-configfile-dev_1.0.4.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkjGPcACgkQthyt9Q6V7kul5QCfTmDbz9MTZOBMKKkZn6b0FCqM
YdgAoJpNdN5UlEwdjFFXUUVy58mJJCZU
=fgPp
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#504528; Package libghc6-configfile-dev. (Wed, 19 Nov 2008 10:21:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Wed, 19 Nov 2008 10:21:21 GMT) Full text and rfc822 format available.

Message #35 received at 504528@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: jgoerzen@complete.org, 504528@bugs.debian.org
Cc: debian-haskell@lists.debian.org
Subject: Re: Bug#504528: libghc6-configfile-dev: Fails to configure: MissingH-1.0.1 doesn't exist
Date: Wed, 19 Nov 2008 11:15:34 +0100
[Message part 1 (text/plain, inline)]
Hi John,

On Tue, Nov 11, 2008 at 09:51:01PM +0100, Stefan Potyra wrote:
> simply rebuilding will make the maintainer scripts pickup the newer
> missingh dependency, and hence will fix this bug.
> However I haven't tested yet if haskell-configfile will still be
> functional with the later missingh (though doubt it isn't).

adding calls to dh_haskell_depends would prevent further bug reports
of this kind.  It looks like it fixes the problem also in this case
properly (i.e. adding sensible binary dependencies).  Would you mind
to add such calls to your debian/rules or look into adding it
to dh_haskell?

Kind regards,
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#504528; Package libghc6-configfile-dev. (Wed, 19 Nov 2008 14:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Goerzen <jgoerzen@complete.org>:
Extra info received and forwarded to list. (Wed, 19 Nov 2008 14:03:06 GMT) Full text and rfc822 format available.

Message #40 received at 504528@bugs.debian.org (full text, mbox):

From: John Goerzen <jgoerzen@complete.org>
To: Philipp Kern <pkern@debian.org>
Cc: 504528@bugs.debian.org, debian-haskell@lists.debian.org
Subject: Re: Bug#504528: libghc6-configfile-dev: Fails to configure: MissingH-1.0.1 doesn't exist
Date: Wed, 19 Nov 2008 07:58:28 -0600
Philipp Kern wrote:
> Hi John,
> 
> On Tue, Nov 11, 2008 at 09:51:01PM +0100, Stefan Potyra wrote:
>> simply rebuilding will make the maintainer scripts pickup the newer
>> missingh dependency, and hence will fix this bug.
>> However I haven't tested yet if haskell-configfile will still be
>> functional with the later missingh (though doubt it isn't).
> 
> adding calls to dh_haskell_depends would prevent further bug reports
> of this kind.  It looks like it fixes the problem also in this case
> properly (i.e. adding sensible binary dependencies).  Would you mind
> to add such calls to your debian/rules or look into adding it
> to dh_haskell?

Hi Philipp,

I hadn't actually noticed that command had been added.  I'll take a look.

I no longer maintain dh_haskell, FWIW.

-- John

> 
> Kind regards,
> Philipp Kern





Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#504528; Package libghc6-configfile-dev. (Mon, 24 Nov 2008 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. (Mon, 24 Nov 2008 21:42:04 GMT) Full text and rfc822 format available.

Message #45 received at 504528@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Stefan Potyra <sistpoty@ubuntu.com>
Cc: debian-release@lists.debian.org, 504528@bugs.debian.org
Subject: Re: please binNMU haskell-configfile for bug #504528
Date: Mon, 24 Nov 2008 22:37:41 +0100
* Stefan Potyra [Fri, 14 Nov 2008 20:01:44 +0100]:

> Hi,

> please binNMU haskell-configfile for RC bug #504528 (bug CC'd).

> @John, any objections?

> Thanks,
>     Stefan.

> P.S.: I'm not on the list, please CC me on replies.

Maintainer made a sourceful upload.

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                 Listening to: Ana Belén - Siento que te estoy perdiendo





Tags added: sid Request was from John Goerzen <jgoerzen@complete.org> to control@bugs.debian.org. (Thu, 04 Dec 2008 22:33:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Jan 2009 07:27:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:22:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.